import javax.swing.*;
import java.io.*;

public class radiation_of_suntest4
{
public static void main(String arg[]) throws IOException
{
	int day=21; 
	int mounth=6; 
	//double standartTime=11.0*60.0; 
	double enlem=38.4; 
	double boylam=-27.25; 
	double ssboylamı=-45.0;
	double yukseklik=0.01; 
	int iklim=2;  // yarı tropikal
	
  //radiation_of_sun r=new radiation_of_sun(day,mounth,standartTime, enlem, boylam,ssboylamı, yukseklik, iklim);
  //System.out.println(r.cikti());
		  double xx[] = new double[25] ;
          double yy[] = new double[25] ;
          double zz[] = new double[25] ;
          double x0;	

	for(int i=0; i<=24; i++)
			{
				x0=i*60;
			radiation_of_sun r=new radiation_of_sun(day,mounth,x0, enlem, boylam,ssboylamı, yukseklik, iklim);
				double t=r.deger()[3];
				double tt=r.deger()[2];
				
	  		xx[i]=i;
      		yy[i]=t;
      		zz[i]=tt;
 			}
    
      Plot.data(zz,yy);
      
	for(int j=0; j<=24; j++)
			{
				
				System.out.println(" "+xx[j]+"  "+zz[j]+"  "+yy[j]+" \n");
 			}
 			
 			
}
}